package com.brilliance.isc.mda.dao;
import java.util.List;
import org.apache.ibatis.annotations.Param;

import com.brilliance.isc.bo.TaskPoolConfig;

public interface TaskPoolConfigMapper {

    int deleteByPrimaryKey(Long id);

    int insert(TaskPoolConfig record);

    int insertSelective(TaskPoolConfig record);

    TaskPoolConfig selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TaskPoolConfig record);

    int updateByPrimaryKey(TaskPoolConfig record);

    List<TaskPoolConfig> selectAll();

    List<TaskPoolConfig> selectAllByBranchinr(@Param("branchinr") String branchinr);

    List<TaskPoolConfig> selectConditionList(TaskPoolConfig condition);

    List<TaskPoolConfig> getTskPool(@Param("branchinr") String branchinr,@Param("bizGroup") String bizGroup);


}
